View Issue Details

IDProjectCategoryView StatusLast Update
0003666GNUnettransport servicepublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PriorityurgentSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSXubuntu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003666: Revision 35208, transport-11501 ERROR Assertion failed at gnunet-service-transport_ats.c:580.
DescriptionGnunet seems to block after this error.
A large gnunet.log-File ist uploaded.
TagsNo tags attached.

Relationships

child of 0003448 closedChristian Grothoff Core-level (transport? ats?) connectivity problems 

Activities

ell

2015-02-10 14:35

reporter  

gnunet.log (3,209,102 bytes)

Christian Grothoff

2015-02-10 17:55

manager   ~0008862

Changed assert() to break(). This is still bad, but the break() might make it less bad.

Christian Grothoff

2015-02-18 15:10

manager   ~0008892

SVN 35284 fixes a possibly-related use-after-free issue.

Christian Grothoff

2015-02-21 21:47

manager   ~0008908

Do you still see this?

ell

2015-02-22 09:44

reporter   ~0008910

The error,
"transport-11501 ERROR Assertion failed at gnunet-service-transport_ats.c:580"
seems to be gone, but there pops up
"transport-2681 ERROR Assertion failed at gnunet-service-transport_ats.c:409".
Don't know if this one is related to the 580-error, or maybe the same.

No blocking experienced any more.

Christian Grothoff

2015-02-28 14:46

manager   ~0008934

Declaring this resolved, the :409 is unrelated and should also be gone now.

Issue History

Date Modified Username Field Change
2015-02-10 14:35 ell New Issue
2015-02-10 14:35 ell Status new => assigned
2015-02-10 14:35 ell Assigned To => Matthias Wachs
2015-02-10 14:35 ell File Added: gnunet.log
2015-02-10 14:58 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2015-02-10 14:59 Christian Grothoff Priority normal => urgent
2015-02-10 14:59 Christian Grothoff Severity minor => block
2015-02-10 14:59 Christian Grothoff Target Version => 0.11.0pre66
2015-02-10 17:55 Christian Grothoff Note Added: 0008862
2015-02-11 00:32 Christian Grothoff Relationship added child of 0003448
2015-02-18 15:10 Christian Grothoff Note Added: 0008892
2015-02-21 21:47 Christian Grothoff Note Added: 0008908
2015-02-21 21:47 Christian Grothoff Status assigned => feedback
2015-02-22 09:44 ell Note Added: 0008910
2015-02-22 09:44 ell Status feedback => assigned
2015-02-28 14:46 Christian Grothoff Status assigned => resolved
2015-02-28 14:46 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-28 14:46 Christian Grothoff Resolution open => fixed
2015-02-28 14:46 Christian Grothoff Note Added: 0008934
2018-06-07 00:25 Christian Grothoff Status resolved => closed